## cgif 0.0.2

=== debian/changelog ===
cgif (0.0.2-1) unstable; urgency=medium

  * Initial release (closes: #996250).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Nov 2021 07:52:07 +0100

## cgif 0.0.3

=== debian/changelog ===
cgif (0.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 09 Dec 2021 18:15:27 +0100

## cgif 0.0.4

=== debian/changelog ===
cgif (0.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 13 Dec 2021 22:32:25 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/dloebl/cgif/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@

## cgif 0.3.0

=== meson_options.txt ===
option(
  'tests',
  type : 'boolean',
  value : true,
  description : 'build tests',
)

## cgif 0.2.0

=== debian/changelog ===
cgif (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Feb 2022 17:21:17 +0100

cgif (0.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Jan 2022 21:48:05 +0100

=== debian/control ===
Source: cgif
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), meson, ninja-build, pkg-config
Standards-Version: 4.6.0
Homepage: https://github.com/dloebl/cgif

Package: libcgif-dev
Architecture: any
Section: libdevel
Depends: libcgif0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, pkg-config
Description: GIF encoder written in C (development files)
 Fast and lightweight GIF encoder that can create GIF animations and images.
 Summary of the main features:
 - user-defined global or local color-palette with up to 256 colors (limit of
   the GIF format)
 - size-optimizations for GIF animations:
   - option to set a pixel to transparent if it has identical color in the
     previous frame (transparency optimization)
   - do encoding just for the rectangular area that differs from the previous
     frame (width/height optimization)
 - different options for GIF animations: static image, N repetitions,
   infinite repetitions
 - user-defined delay time from one frame to the next (can be set
   independently for each frame)

Package: libcgif0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GIF encoder written in C (shared library)
 Fast and lightweight GIF encoder that can create GIF animations and images.
 Summary of the main features:
 - user-defined global or local color-palette with up to 256 colors (limit of
   the GIF format)
 - size-optimizations for GIF animations:
   - option to set a pixel to transparent if it has identical color in the
     previous frame (transparency optimization)
   - do encoding just for the rectangular area that differs from the previous
     frame (width/height optimization)
 - different options for GIF animations: static image, N repetitions,
   infinite repetitions
 - user-defined delay time from one frame to the next (can be set
   independently for each frame)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=meson

## cgif 0.3.0

=== debian/changelog ===
cgif (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 29 Apr 2022 17:44:45 +0200

cgif (0.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Mar 2022 14:11:21 +0100

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
 
 Package: libcgif0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GIF encoder written in C (shared library)

## cgif 0.3.2

=== debian/changelog ===
cgif (0.3.2-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:43:49 +0200

cgif (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Install examples to -dev package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 12 Jun 2023 06:53:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: cgif
 Section: graphics
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), meson, ninja-build, pkg-config
 Standards-Version: 4.6.0
 Homepage: https://github.com/dloebl/cgif
 
 Package: libcgif-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libcgif0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, pkg-config
 Description: GIF encoder written in C (development files)

## cgif 0.4.0

=== debian/changelog ===
cgif (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Use no for Rules-Requires-Root.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Apr 2024 21:53:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: cgif
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), meson, ninja-build, pkg-config
-Standards-Version: 4.6.0
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13), meson, ninja-build, pkgconf
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/dloebl/cgif
 
 Package: libcgif-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcgif0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, pkg-config
+Depends: libcgif0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, pkgconf
 Description: GIF encoder written in C (development files)
  Fast and lightweight GIF encoder that can create GIF animations and images.
  Summary of the main features:

## cgif 0.4.1

=== debian/changelog ===
cgif (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 19 Jun 2024 20:28:00 +0200

## cgif 0.5.0

=== meson_options.txt ===
option(
  'examples',
  type : 'boolean',
  value : true,
  description : 'build examples',
)

option(
   'fuzzer',
   type : 'boolean',
   value : false,
   description : 'generate fuzz seed corpus and test it with standalone fuzzer',
)

option(
  'tests',
  type : 'boolean',
  value : true,
  description : 'build tests',
)

# for debugging purposes
option(
  'install_examples',
  type : 'boolean',
  value : false,
  description : 'install examples',
)

=== debian/changelog ===
cgif (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 12 Feb 2025 22:46:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), meson, ninja-build, pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/dloebl/cgif

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/dloebl/cgif/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@

## cgif 0.5.1

=== debian/changelog ===
cgif (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove now redundant Rules-Requires-Root value.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 21 Jan 2026 22:13:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), meson, ninja-build, pkgconf
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/dloebl/cgif
 
 Package: libcgif-dev

## cgif 0.5.2

=== debian/changelog ===
cgif (0.5.2-1) unstable; urgency=high

  * New upstream release:
    - fixes potential integer overflow during LZW compression.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Feb 2026 07:09:11 +0100

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i
Owner: dloebl
Project: cgif
Uversionmangle: s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/
